<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
													 xmlns:app="http://schemas.android.com/apk/res-auto"
													 xmlns:tools="http://schemas.android.com/tools"
													 android:layout_width="match_parent"
													 android:layout_height="match_parent">

	<androidx.core.widget.NestedScrollView
			android:layout_width="match_parent"
			android:layout_height="match_parent"
			android:fillViewport="true"
			app:layout_behavior="@string/appbar_scrolling_view_behavior" android:id="@+id/nestedScrollView">

		<androidx.constraintlayout.widget.ConstraintLayout
				android:layout_width="match_parent"
				android:layout_height="wrap_content">

			<androidx.recyclerview.widget.RecyclerView
					android:id="@+id/recyclerView"
					android:layout_width="0dp"
					android:layout_height="0dp"
					app:layout_constraintBottom_toBottomOf="parent"
					app:layout_constraintEnd_toEndOf="parent"
					app:layout_constraintStart_toStartOf="parent"
					app:layout_constraintTop_toTopOf="parent"/>

		</androidx.constraintlayout.widget.ConstraintLayout>

	</androidx.core.widget.NestedScrollView>

	<com.google.android.material.appbar.AppBarLayout
			android:id="@+id/appBar"
			android:layout_width="match_parent"
			android:layout_height="128dp"
			android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

		<com.google.android.material.appbar.CollapsingToolbarLayout
				android:id="@+id/collapsingToolbar"
				android:layout_width="match_parent"
				android:layout_height="match_parent"
				app:contentScrim="?attr/colorPrimary"
				app:expandedTitleGravity="bottom"
				app:expandedTitleMarginStart="72dp"
				app:expandedTitleTextAppearance="@style/PokerAnalyticsTheme.Toolbar.ExpandedTitleAppearance"
				app:collapsedTitleTextAppearance="@style/PokerAnalyticsTheme.Toolbar.CollapsedTitleAppearance"
				app:layout_scrollFlags="scroll|exitUntilCollapsed|snap">

			<androidx.appcompat.widget.Toolbar
					android:id="@+id/toolbar"
					android:layout_width="match_parent"
					android:layout_height="?attr/actionBarSize"
					app:title="Poker Analytics"
					app:titleTextColor="@color/white"
					app:layout_collapseMode="pin"/>

		</com.google.android.material.appbar.CollapsingToolbarLayout>

	</com.google.android.material.appbar.AppBarLayout>
	<Button
			tools:text="Save"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:id="@+id/saveButton"
			app:layout_anchorGravity="right|top"
			app:layout_anchor="@+id/appBar"/>
	<Button
			tools:text="Delete"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:id="@+id/deleteButton"
			app:layout_anchorGravity="bottom|right"
			app:layout_anchor="@+id/nestedScrollView"/>

</androidx.coordinatorlayout.widget.CoordinatorLayout>